Project

Profile

Help

Issue #3798

Story #3778: As a user, I can run Pulp 3 in a FIPS-enabled environment

Exception when syncing repo in FIPS environment

Added by daviddavis over 1 year ago. Updated 6 months ago.

Status:
NEW
Priority:
Normal
Assignee:
-
Category:
-
Sprint/Milestone:
-
Start date:
Due date:
Severity:
2. Medium
Version:
Platform Release:
Blocks Release:
OS:
Backwards Incompatible:
No
Triaged:
Yes
Groomed:
No
Sprint Candidate:
No
Tags:
QA Contact:
Complexity:
Smash Test:
Verified:
No
Verification Required:
No
Sprint:

Description

Jun 28 19:04:15 pulp3.dev pulp[25151]: rq.worker:ERROR: ValueError: unsupported hash type md5
                                       Traceback (most recent call last):
                                         File "/opt/rh/rh-python36/root/usr/lib64/python3.6/hashlib.py", line 182, in __hash_new
                                           return _hashlib.new(name, data, usedforsecurity)
                                       ValueError: error:060800A3:digital envelope routines:EVP_DigestInit_ex:disabled for fips

                                       During handling of the above exception, another exception occurred:

                                       Traceback (most recent call last):
                                         File "/home/vagrant/.virtualenvs/pulp/lib64/python3.6/site-packages/rq/worker.py", line 793, in perform_job
                                           rv = job.perform()
                                         File "/home/vagrant/.virtualenvs/pulp/lib64/python3.6/site-packages/rq/job.py", line 599, in perform
                                           self._result = self._execute()
                                         File "/home/vagrant/.virtualenvs/pulp/lib64/python3.6/site-packages/rq/job.py", line 605, in _execute
                                           return self.func(*self.args, **self.kwargs)
                                         File "/home/vagrant/devel/pulp_file/pulp_file/app/tasks/synchronizing.py", line 60, in synchronize
                                           manifest = fetch_manifest(remote)
                                         File "/home/vagrant/devel/pulp_file/pulp_file/app/tasks/synchronizing.py", line 89, in fetch_manifest
                                           downloader = remote.get_downloader(remote.url)
                                         File "/home/vagrant/devel/pulp/plugin/pulpcore/plugin/models/remote.py", line 61, in get_downloader
                                           return self.download_factory.build(url, **kwargs)
                                         File "/home/vagrant/devel/pulp/plugin/pulpcore/plugin/download/factory.py", line 114, in build
                                           return builder(download_class, url, **kwargs)
                                         File "/home/vagrant/devel/pulp/plugin/pulpcore/plugin/download/factory.py", line 135, in _http_or_https
                                           return download_class(url, **options, **kwargs)
                                         File "/home/vagrant/devel/pulp/plugin/pulpcore/plugin/download/http.py", line 126, in __init__
                                           super().__init__(url, **kwargs)
                                         File "/home/vagrant/devel/pulp/plugin/pulpcore/plugin/download/base.py", line 118, in __init__
                                           self._digests = {n: hashlib.new(n) for n in Artifact.DIGEST_FIELDS}
                                         File "/home/vagrant/devel/pulp/plugin/pulpcore/plugin/download/base.py", line 118, in <dictcomp>
                                           self._digests = {n: hashlib.new(n) for n in Artifact.DIGEST_FIELDS}
                                         File "/opt/rh/rh-python36/root/usr/lib64/python3.6/hashlib.py", line 186, in __hash_new
                                           return __get_builtin_constructor(name)(data)
                                         File "/opt/rh/rh-python36/root/usr/lib64/python3.6/hashlib.py", line 136, in __get_builtin_constructor
                                           raise ValueError('unsupported hash type ' + name)
                                       ValueError: unsupported hash type md5
                                       Traceback (most recent call last):
                                         File "/opt/rh/rh-python36/root/usr/lib64/python3.6/hashlib.py", line 182, in __hash_new
                                           return _hashlib.new(name, data, usedforsecurity)
                                       ValueError: error:060800A3:digital envelope routines:EVP_DigestInit_ex:disabled for fips

History

#1 Updated by daviddavis over 1 year ago

  • Subject changed from rq exception when syncing repo in FIPS environment to Exception when syncing repo in FIPS environment

#2 Updated by daviddavis over 1 year ago

  • Tags Pulp 3 added

#3 Updated by CodeHeeler over 1 year ago

  • Triaged changed from No to Yes

#4 Updated by bmbouter 6 months ago

  • Tags deleted (Pulp 3)

Please register to edit this issue

Also available in: Atom PDF